Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.webservice.context
Class WebServiceContext

    java.lang.Object
      |
      +--weblogic.webservice.context.WebServiceContext

public abstract class WebServiceContext
extends java.lang.Object

The WebServiceContext object keeps track of the context information associated with a particular invocation of a WebLogic Web Service operation.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`static WebServiceContext` | `currentContext()` Returns the context information associated with the current thread.
`abstract WebServiceHeader` | `getHeader()` Returns the implicit SOAP headers associated with this Web service invocation.
`abstract javax.xml.rpc.handler.soap.SOAPMessageContext` | `getLastMessageContext()` Returns the last SOAPMessageContext associated with this Web Service invocation.
`abstract WebServiceSession` | `getSession()` Returns the session associated with this Web Service invocation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### currentContext

    public static WebServiceContext currentContext()
                                            throws ContextNotFoundException

  Returns the context information associated with the current thread.

  Returns:
    return the current context
  Throws:
    ContextNotFoundException - if there is no context associated with this thread.

### getHeader

    public abstract WebServiceHeader getHeader()

  Returns the implicit SOAP headers associated with this Web service invocation. "Implicit" refers to the SOAP headers that are not defined in the WSDL that describes the Web service.

  The implicit headers are grouped into a WebServiceHeader object which you can query for individual headers.

  Returns:
    headers

### getSession

    public abstract WebServiceSession getSession()

  Returns the session associated with this Web Service invocation.

  If you are using this method in the server-side Java code that implements the Web service operation (such as the method of an EJB or Java class), the session is very much like the HTTPSession object of the J2EE servlet API.

  Returns:
    session

### getLastMessageContext

    public abstract javax.xml.rpc.handler.soap.SOAPMessageContext getLastMessageContext()

  Returns the last SOAPMessageContext associated with this Web Service invocation.

  Returns:
    soap message context

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD